%define module_name Swagger2-Markdown
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(File/Slurper.pm) perl(File/Spec/Functions.pm) perl(Moo.pm) perl(Pod/Markdown.pm) perl(Swagger2.pm) perl(Template.pm) perl(Test/LongString.pm) perl(Test/More.pm) perl(Types/Standard.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 9.99
Release: alt1
Summary: convert a Swagger2 spec to various markdown formats
Group: Development/Perl
License: perl
URL: https://metacpan.org/module/Swagger2::Markdown

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEEJO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module allows you to convert a swagger specification file to API Blueprint
markdown and basic markdown. Note that you may need to add `x-' values to your
swagger config file to get better markdown output.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes
%perl_vendor_privlib/S*

%files scripts
%_bindir/*

%changelog
* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 9.99-alt1
- regenerated from template by package builder

* Thu Mar 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Thu Sep 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Wed Nov 04 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

